com.saxonica.config.ee

## Class TypeHierarchyEE

- java.lang.Object
- - TypeHierarchyPE
  - - com.saxonica.config.ee.TypeHierarchyEE

-     public class TypeHierarchyEE
      extends TypeHierarchyPE

  Refinement of the TypeHierarchy class to handle function items

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeHierarchyEE(Configuration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `computeContentRelationship(ItemType t1, ItemType t2, IntSet n1, IntSet n2)` Compute the relationship between the allowed content-types of two types
    `static int` | `schemaTypeRelationship(SchemaType s1, SchemaType s2)` Get the relationship of two schema types to each other

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeHierarchyEE

          public TypeHierarchyEE(Configuration config)

  - ### Method Detail

    - #### computeContentRelationship

          protected int computeContentRelationship(ItemType t1,
                                       ItemType t2,
                                       IntSet n1,
                                       IntSet n2)

      Compute the relationship between the allowed content-types of two types
      Parameters:
        `t1` - the first type
        `t2` - the second types
        `n1` - the set of element names allowed by the first type
        `n2` - the set of element names allowed by the second type
      Returns:
        the relationship (same type, subsumes, overlaps, subsumed-by)

    - #### schemaTypeRelationship

          public static int schemaTypeRelationship(SchemaType s1,
                                   SchemaType s2)

      Get the relationship of two schema types to each other
      Parameters:
        `s1` - the first type
        `s2` - the second type
      Returns:
        the relationship of the two types, as one of the constants `TypeHierarchy.SAME_TYPE`, `TypeHierarchy.SUBSUMES`, `TypeHierarchy.SUBSUMED_BY`, `TypeHierarchy.DISJOINT`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.